BEGIN;
--
-- Database test 2 - schema with special characters
-- Contribuition of Jehan-Guillaume De Rorthais
--
BEGIN;
--
--
CREATE SCHEMA "te""s't&re\al<l>y b$a[d]";
--
--
SET search_path = public, pg_catalog;
--
--
SET default_tablespace = '';
--
--
SET default_with_oids = false;
--
--
CREATE TABLE "Country 2';>,.. -+'[_%$@#?" (
    "idCountry 1';>,.. -+'[_%$@#?" text NOT NULL,
    name character varying(100)
);
--
--
CREATE TABLE node (
    idnode integer NOT NULL,
    "idCountry';>,.. -+'[_%$@#?" text,
    "idRegion';>,.. -+'[_%$@#?" integer,
    namenome text
);
--
--
CREATE SEQUENCE node_idnode_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
--
--
ALTER SEQUENCE node_idnode_seq OWNED BY node.idnode;
--
--
SET search_path = "te""s't&re\al<l>y b$a[d]", pg_catalog;
--
--
CREATE TABLE "regi""on 1';>,.. -+'[_%$@#?" (
    "idregion 1';>,.. -+'[_%$@#?" integer NOT NULL,
    "idcountry bla';>,.. -+'[_%$@#?" text NOT NULL
);
--
--
CREATE SEQUENCE "regi""on 1';>,.. -+'[_%$@#?_idregion 1';>,.. -+'[_%$@#?_seq"
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
--
--
ALTER SEQUENCE "regi""on 1';>,.. -+'[_%$@#?_idregion 1';>,.. -+'[_%$@#?_seq" OWNED BY "regi""on 1';>,.. -+'[_%$@#?"."idregion 1';>,.. -+'[_%$@#?";
--
--
CREATE VIEW "t<e';s""t[]" AS
    SELECT "regi""on 1';>,.. -+'[_%$@#?"."idregion 1';>,.. -+'[_%$@#?", "regi""on 1';>,.. -+'[_%$@#?"."idcountry bla';>,.. -+'[_%$@#?", "Country 2';>,.. -+'[_%$@#?"."idCountry 1';>,.. -+'[_%$@#?", "Country 2';>,.. -+'[_%$@#?".name FROM ("regi""on 1';>,.. -+'[_%$@#?" JOIN public."Country 2';>,.. -+'[_%$@#?" ON (("regi""on 1';>,.. -+'[_%$@#?"."idcountry bla';>,.. -+'[_%$@#?" = "Country 2';>,.. -+'[_%$@#?"."idCountry 1';>,.. -+'[_%$@#?")));
--
--
COMMENT ON VIEW "t<e';s""t[]" IS 'real"ly b>a;d< tes'';t';
--
--
SET search_path = public, pg_catalog;
--
--
ALTER TABLE node ALTER COLUMN idnode SET DEFAULT nextval('node_idnode_seq'::regclass);
--
--
SET search_path = "te""s't&re\al<l>y b$a[d]", pg_catalog;
--
--
ALTER TABLE "regi""on 1';>,.. -+'[_%$@#?" ALTER COLUMN "idregion 1';>,.. -+'[_%$@#?" SET DEFAULT nextval('"regi""on 1'';>,.. -+''[_%$@#?_idregion 1'';>,.. -+''[_%$@#?_seq"'::regclass);
--
--
SET search_path = public, pg_catalog;
--
--
ALTER TABLE ONLY "Country 2';>,.. -+'[_%$@#?"
    ADD CONSTRAINT "Country 2';>,.. -+'[_%$@#?_pkey" PRIMARY KEY ("idCountry 1';>,.. -+'[_%$@#?");
--
--
ALTER TABLE ONLY node
    ADD CONSTRAINT node_pkey PRIMARY KEY (idnode);
--
--
SET search_path = "te""s't&re\al<l>y b$a[d]", pg_catalog;
--
--
ALTER TABLE ONLY "regi""on 1';>,.. -+'[_%$@#?"
    ADD CONSTRAINT "regi""on 1';>,.. -+'[_%$@#?_pkey" PRIMARY KEY ("idcountry bla';>,.. -+'[_%$@#?", "idregion 1';>,.. -+'[_%$@#?");
--
--
SET search_path = public, pg_catalog;
--
--
ALTER TABLE ONLY node
    ADD CONSTRAINT "node_idCountry';>,.. -+'[_%$@#?_fkey" FOREIGN KEY ("idCountry';>,.. -+'[_%$@#?", "idRegion';>,.. -+'[_%$@#?") REFERENCES "te""s't&re\al<l>y b$a[d]"."regi""on 1';>,.. -+'[_%$@#?"("idcountry bla';>,.. -+'[_%$@#?", "idregion 1';>,.. -+'[_%$@#?") ON UPDATE CASCADE ON DELETE RESTRICT;
--
--
SET search_path = "te""s't&re\al<l>y b$a[d]", pg_catalog;
--
--
ALTER TABLE ONLY "regi""on 1';>,.. -+'[_%$@#?"
    ADD CONSTRAINT "regi""on 1';>,.. -+'[_%$@#?_idcountry bla';>,.. -+'[_%$@#?_fkey" FOREIGN KEY ("idcountry bla';>,.. -+'[_%$@#?") REFERENCES public."Country 2';>,.. -+'[_%$@#?"("idCountry 1';>,.. -+'[_%$@#?") ON UPDATE CASCADE ON DELETE RESTRICT;
--
--
COMMIT;
