begin;
--
-- Database test 3 - Same column with more than one FK
-- Contribuition of Alexey Baturin
--
CREATE TABLE table_1 (
   t1_id1 integer,
   t1_id2 integer,
   PRIMARY KEY (t1_id1, t1_id2)
);
--
--
CREATE TABLE table_2 (
   t2_id1 integer,
   t2_id2 integer,
   PRIMARY KEY (t2_id1, t2_id2)
);
--
--
CREATE TABLE table_fk (
   id1 integer,
   id2 integer,
   id3 integer
);
--
--
INSERT INTO table_1 VALUES (1, 1);
INSERT INTO table_1 VALUES (2, 2);
--
--
INSERT INTO table_2 VALUES (1, 1);
INSERT INTO table_2 VALUES (2, 2);
--
--
INSERT INTO table_fk VALUES (1, 1, 1);
INSERT INTO table_fk VALUES (2, 2, 2);
--
--
ALTER TABLE ONLY table_fk
   ADD CONSTRAINT table_fk_id1_fkey FOREIGN KEY (id1, id2) REFERENCES
table_1(t1_id1, t1_id2);
--
--
ALTER TABLE ONLY table_fk
   ADD CONSTRAINT table_fk_id2_fkey FOREIGN KEY (id2, id3) REFERENCES
table_2(t2_id1, t2_id2);
--
--
COMMIT;
